GET api/Lookups/GetLocationsByPortal?PortalUrl={PortalUrl}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| PortalUrl | string |
None. |
Body Parameters
None.
Response Information
Resource Description
LocationsOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| DefaultState | string |
None. |
|
| StateRequired | boolean |
None. |
|
| CountryRegionList | Collection of GenericValue |
None. |
|
| StateList | Collection of GenericValue |
None. |
Response Formats
application/json, text/json
Sample:
{
"defaultState": "sample string 1",
"stateRequired": true,
"countryRegionList": [
{
"id": 1,
"name": "sample string 2"
},
{
"id": 1,
"name": "sample string 2"
}
],
"stateList": [
{
"id": 1,
"name": "sample string 2"
},
{
"id": 1,
"name": "sample string 2"
}
]
}
application/xml, text/xml
Sample:
<LocationsOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.Public.LookupModels">
<CountryRegionList xmlns:d2p1="http://schemas.datacontract.org/2004/07/TTCM.BusinessLayer.Services">
<d2p1:GenericValue />
<d2p1:GenericValue />
</CountryRegionList>
<DefaultState>sample string 1</DefaultState>
<StateList xmlns:d2p1="http://schemas.datacontract.org/2004/07/TTCM.BusinessLayer.Services">
<d2p1:GenericValue />
<d2p1:GenericValue />
</StateList>
<StateRequired>true</StateRequired>
</LocationsOutput>